%define name	phatch
%define version	0.2.7.1
%define release	6
%define gnome_libdir %{_libdir}
%define gnome_mimedir %{_datadir}/mime

Name:		%name
Version:	%version
Release:	%mkrel %release
Summary:	Manipulate thousands of photos with one click
Source:		http://photobatch.stani.be/download/package/%name-%version.tar.xz
Patch1:		crash_fix.patch
Patch2:		pyexiv2_compat.patch
Patch3:   		phatch-pillow.patch
Patch4:		do_not_raise_string_exceptions.patch
URL:		http://photobatch.stani.be/
Group:		Graphics
License:	GNU General Public License v3 (GPL v3)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	python
BuildRequires:	%{_lib}python-devel
BuildRequires:	python-devel >= 2.5
BuildRequires:	desktop-file-utils
BuildRequires:	python-sphinx
BuildRequires:	mlocate
BuildRequires:	gettext
Requires:	findutils
Requires:	python-notify
Requires:	python-exiv2
Requires:	mlocate
Requires:	python-pillow
Requires:	wxPythonGTK
Requires:	findutils
Requires:	python-exif


%description
Phatch is an easy-to-use GUI photo batch processor which handles all
popular image formats and can handle (sub)folder hierarchies. It provides
many features, such as resize, rotate, rename, shadows, watermarks, rounded
corners, masks, perspective, and more.

%description -l de
Phatch ist ein einfach zu bedienender GUI-Foto-Batch-Prozessor, der mit allen
gängigen Bildformaten und (Unter-) Ordner-Hierarchie umgehen kann. Es bietet
viele Funktionen, wie Größe, drehen, umbenennen, Schatten, Wasserzeichen, gerundet
Ecken, Masken, Perspektive, und vieles mehr.


%prep
%setup -q -n %name-0.2.7
%apply_patches

%build
%__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}"

sed -i '\|^$|d' %buildroot%_datadir/applications/%name.desktop

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category "X-MandrivaLinux-Multimedia-Graphics"\
	--dir %buildroot%_datadir/applications\
	 %buildroot%_datadir/applications/%name.desktop


chmod +x $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/{%{name}.py,lib/pyWx/dialogsInspector.py,lib/metadataTest.py,other/surd.py,other/EXIF.py,other/pep8.py}

 mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
BugReportURL: https://bugs.launchpad.net/phatch/+bug/1322916
SentUpstream: 2014-09-17
-->
<application>
  <id type="desktop">phatch.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Process many images in one step</summary>
  <description>
    <p>
      Phatch (PHoto bATCH Processor) is an application to batch process images.
      With phatch, you specify a group of images that you want to process, and then
      specify the effects you want to apply; once you click apply the process is run
      automatically without having to edit each image individually.
      Phatch has many effects you can apply to your images, including resizing,
      rotating, renaming, colour effects (like desaturation and color warmth),
      drop shadows and adding a background.
    </p>
  </description>
  <url type="homepage">http://photobatch.stani.be/</url>
  <screenshots>
    <screenshot type="default">http://photobatch.wdfiles.com/local--files/start/Screenshot-Phatch3d.jpg</screenshot>
  </screenshots>
</application>
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/phatch-inspector.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<component type="desktop">
  <metadata_license>CC0-1.0</metadata_license>
  <id>phatch-inspector.desktop</id>
  <metadata>
    <value key="X-Merge-With-Parent">phatch.desktop</value>
  </metadata>
</component>
EOF

%find_lang phatch

%clean
%__rm -rf "%{buildroot}"

%files -f phatch.lang
%defattr(-,root,root)
/*


%changelog
* Fri Dec 23 2016 adrianomorselli <adrianomorselli> 0.2.7.1-6uplos2016
- rebuild

* Fri Sep 02 2016 bb <bb> 0.2.7.1-6pclos2016
- rebuild new wxpython

* Sat Apr 18 2015 bb <bb> 0.2.7.1-5pclos2015
- remove python-imaging dep

* Tue Oct 29 2013 billybot <billybot> 0.2.7.1-4pclos2013
- add pillow patch

* Wed Oct 02 2013 billybot <billybot> 0.2.7.1-3pclos2013
- rebuild for python 2.7
- add 2 patches from fedora

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.2.7.1-2pclos2010
- Update

* Thu May 20 2010 pcserver <pcserver at inbox.com> 0.2.7.1-1pclos2010
- update
 
* Sat Sep 26 2009 rogaven <rogaven@rogaven.info> 0.1.6-1pclos2009
- update 0.1.6


